Skip to main content
GET
/
refund-chargeback
/
chargeback
/
merchant
/
api
/
chargeback_transaction_history
Chargeback Transaction History
curl --request GET \
  --url https://api.payaza.africa/live/refund-chargeback/chargeback/merchant/api/chargeback_transaction_history \
  --header 'Authorization: <api-key>'
{
  "status": "success",
  "message": "Chargeback History Success",
  "data": {
    "content": [
      {
        "id": 39,
        "rrn": "401012220020",
        "transaction_reference": "PL1KBPSCJCRD60143",
        "transaction": {
          "id": 94223,
          "description": "Test",
          "ended_at": "2024-07-23 12:32:17.686000",
          "fee_amount": 0,
          "rrn": "401012220020",
          "collection_channel": "Card",
          "started_at": "2024-07-23 12:32:17.686000",
          "status_reason": "Payment Approved",
          "transaction_amount": 10.03,
          "transaction_reference": "PL1KBPSCJCRD60143",
          "transaction_status": "Completed",
          "customer": {
            "id": 97398,
            "email_address": "johndoe@yahoo.com",
            "first_name": "John",
            "last_name": "Doe",
            "mobile_number": "08012345678"
          },
          "currency": {
            "id": 2,
            "name": "US Dollar",
            "code": "USD",
            "html_code": "&#36;",
            "iso_code": "USD",
            "unicode": "$",
            "active": true
          }
        },
        "reason_message": "fraudulent transaction",
        "approval_code": "11111",
        "chargeback_date": "2024-07-26",
        "original_amt": "10.03",
        "chargeback_status": "Accepted",
        "accepted": true,
        "chargeback_status_reason": "fraud",
        "evidence_url": "",
        "date_created": "2024-07-26 21:55:57.177028",
        "merchant_display_name": "link"
      }
    ],
    "total": 1,
    "last": true,
    "first": true,
    "pageable": {
      "page": 1,
      "size": 10
    }
  }
}

Authorizations

Authorization
string
header
required

Payaza {{Public API Key in Base 64}}

Query Parameters

transaction_reference
string

The unique identifier given to a particular transaction

from
string<date>

The start date range to filter data in YYYY-MM-DD format

to
string<date>

The end date range to filter data in YYYY-MM-DD format

page
string
required

The page number

size
integer
required

Number of items per page

Response

Chargeback Request Response

status
string

API operation status.

Example:

"success"

message
string

Status message.

Example:

"Chargeback History Success"

data
object